Page MenuHomeFreeBSD

stand: userboot_fmtdev can be reduced to devformat
ClosedPublic

Authored by imp on Jul 25 2022, 8:34 PM.
Tags
None
Referenced Files
F84135593: D35925.diff
Sun, May 19, 8:51 PM
Unknown Object (File)
Feb 12 2024, 9:34 AM
Unknown Object (File)
Dec 20 2023, 8:21 AM
Unknown Object (File)
Dec 16 2023, 10:48 AM
Unknown Object (File)
Dec 4 2023, 2:02 PM
Unknown Object (File)
Aug 28 2023, 6:24 PM
Unknown Object (File)
Aug 28 2023, 6:22 PM
Unknown Object (File)
Aug 28 2023, 6:20 PM
Subscribers

Details

Summary

devformat produces the same output as userboot_fmtdev, so just use it to
reduce on the dependencies.

Sponsored by: Netflix

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 46570
Build 43459: arc lint + arc unit

Event Timeline

imp requested review of this revision.Jul 25 2022, 8:34 PM
This revision is now accepted and ready to land.Jul 27 2022, 10:27 PM

rework based on feedback, and correct a few closely related nits

This revision now requires review to proceed.Jul 28 2022, 5:00 PM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 11 2022, 4:28 PM
This revision was automatically updated to reflect the committed changes.